<?php

namespace App\Entities\Customer;

use App\Entities\CommonEntity;

abstract class CustomerEntity extends CommonEntity
{
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    final public function getUserUID(): int|null
    {
        return $this->attributes['user_uid'];
    }
    final public function  getClientInfoUID(): int|null
    {
        return $this->attributes['clientinfo_uid'] ?? null;
    }
    final public function  getServiceInfoUID(): int|null
    {
        return $this->attributes['serviceinfo_uid'] ?? null;
    }
    final public function  getServerInfoUID(): int|null
    {
        return $this->attributes['serverinfo_uid'] ?? null;
    }
}
